Index: dialogs/eb_argument_dialog.e
===================================================================
--- dialogs/eb_argument_dialog.e	(revision 69431)
+++ dialogs/eb_argument_dialog.e	(working copy)
@@ -185,11 +185,11 @@
 				create dlg.make_with_text (warning_messages.w_apply_debugger_profiles_before_continuing)
 				dlg.set_buttons_and_actions (
 					<<interface_names.b_yes, interface_names.b_no>>,
-					<<agent debugging_options_control.store_dbg_options, Void>>
+					<<agent debugging_options_control.store_dbg_options, agent debugging_options_control.validate_and_store>>
 					)
 				dlg.show_modal_to_window (Current)
 			else
-				debugging_options_control.validate
+				debugging_options_control.validate_and_store
 			end
 			hide
 		end
@@ -243,7 +243,7 @@
 								end (op),
 							agent (a_op: PROCEDURE [ANY, TUPLE])
 								do
-									debugging_options_control.validate
+									debugging_options_control.validate_and_store
 									debugging_options_control.reset_changes
 									a_op.call (Void)
 								end (op),
@@ -253,7 +253,7 @@
 
 				dlg.show_modal_to_window (Current)
 			else
-				debugging_options_control.validate
+				debugging_options_control.validate_and_store
 				op.call (Void)
 			end
 		end
Index: widgets/eb_debugging_options_control.e
===================================================================
--- widgets/eb_debugging_options_control.e	(revision 69431)
+++ widgets/eb_debugging_options_control.e	(working copy)
@@ -193,6 +193,17 @@
 			l_user_opts.set_last_profile (p)
 		end
 
+	validate_and_store is
+		local
+			l_user_factory: USER_OPTIONS_FACTORY
+		do
+				--| Validate (i.e: update selected profile)
+			validate
+				--| And store
+			create l_user_factory
+			l_user_factory.store (lace.user_options)
+		end
+
 	store_dbg_options is
 			-- Store the current arguments and set current
 			-- arguments for system execution.
